CYdLidar Class Reference

## Protected Member Functions

bool | checkCOMMs ()
bool | checkStatus ()
bool | checkHardware ()
bool | checkLidarAbnormal ()

## Member Function Documentation

bool CYdLidar::checkCOMMs | ( |  | ) |

protected

Returns true if communication has been established with the device. If it's not, try to create a comms channel.

Returns
  false on error.

bool CYdLidar::checkHardware | ( |  | ) |

protected

Returns true if the normal scan runs with the device. If it's not,

Returns
  false on error.

bool CYdLidar::checkLidarAbnormal | ( |  | ) |

protected

returns true if the lidar data is normal, If it's not

bool CYdLidar::checkStatus | ( |  | ) |

protected

Returns true if health status and device information has been obtained with the device. If it's not,

Returns
  false on error.

The documentation for this class was generated from the following files:

- /home/yang/gitlab/sdk/include/CYdLidar.h
- /home/yang/gitlab/sdk/src/CYdLidar.cpp